#include <bits/stdc++.h>
using namespace std;
int e[6859724];
int o[8745824];
int l[2589252];
int p[4013083];
int n;
int m;
int r,k;
int u,t;
int main(){
cin>>n;
for(int i=0;i<n;i++){
        cin>>r>>k;
    while(e[i]=l[i]){
        r++;    }
    while(o[i]=p[i]){
        k++;
    }
}
m=min(r,k);
cout<<m<<endl;
return 0;
}